export interface TenantVO {
    id: number
    name: string
    contactName: string
    contactMobile: string
    status: number
    domain: string
    packageId: number
    username: string
    password: string
    expireTime: Date
    accountCount: number
    createTime: Date
}

export interface TenantPageReqVO extends PageParam {
    name?: string
    contactName?: string
    contactMobile?: string
    status?: number
    createTime?: Date[]
}

export interface TenantExportReqVO {
    name?: string
    contactName?: string
    contactMobile?: string
    status?: number
    createTime?: Date[]
}

export interface TenantPackageVO {
    id: number
    name: string
    status: number
    remark: string
    creator: string
    updater: string
    updateTime: string
    menuIds: number[]
    createTime: Date
}

export interface TenantPackagePageReqVO extends PageParam {
    name?: string
    status?: number
    remark?: string
    createTime?: Date[]
}
